classification
Title: ./Modules/_io/_iomodule.c build failure on AIX (beta1) while (a2) was fine.
Type: compile error Stage: resolved
Components: Build Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Michael.Felt, christian.heimes, python-dev
Priority: normal Keywords:

Created on 2016-09-26 12:03 by Michael.Felt, last changed 2016-09-30 16:15 by berker.peksag. This issue is now closed.

Messages (4)
msg277412 - (view) Author: Michael Felt (Michael.Felt) * Date: 2016-09-26 12:03
Python-3.6.0.a2 (a2 == 162)

root@x064:[/data/prj/python/python-3.6.0.162]xlc  -DNDEBUG -O -I/opt/include -qmaxmem=-1 -qarch=pwr4 -O3 -I/opt/buildaix/includes -O     -I. -IInclude -I./Include -I/opt/include -I/opt/buildaix/inclu
de   -DPy_BUILD_CORE  -I./Modules/_io -c ./Modules/_io/_iomodule.c -o Modules/_iomodule.o
root@x064:[/data/prj/python/python-3.6.0.162]
** Notice no messges - while:

root@x064:[/data/prj/python/python-3.6.0.177]xlc  -DNDEBUG -O -I/opt/include -qmaxmem=-1 -qarch=pwr4 -O3 -I/opt/buildaix/includes -O     -I. -IInclude -I./Include -I/opt/include ->
"./Modules/_io/_iomodule.h", line 156.2: 1506-766 (S) The universal character name "
" is not in the allowable range for an identifier.
"./Modules/_io/_iomodule.c", line 804.2: 1506-198 (S) #if, #else, #elif, #ifdef, #ifndef block must be ended with #endif.
root@x064:[/data/prj/python/python-3.6.0.177]

Looks to be a simple typo on line 156 - #endif^L is not seen as #endif by XLC.

  +154  #ifdef MS_WINDOWS
  +155  extern char _PyIO_get_console_type(PyObject *);
  +156  #endif^L

Once I remove the "formfeed" character, as is well again.
msg277414 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-26 12:09
New changeset 26c73ee77fbb by Christian Heimes in branch '3.6':
Issue #28277: remove linefeed character from iomodule.h. Patch by Michael Felt
https://hg.python.org/cpython/rev/26c73ee77fbb

New changeset b77bd401f08a by Christian Heimes in branch 'default':
Issue #28277: remove linefeed character from iomodule.h. Patch by Michael Felt
https://hg.python.org/cpython/rev/b77bd401f08a
msg277416 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-09-26 12:53
Michael, does the fix work for you?
msg277697 - (view) Author: Michael Felt (Michael.Felt) * Date: 2016-09-29 10:29
yes. It is what I did manually. Thanks!
History
Date User Action Args
2016-09-30 16:15:41berker.peksagsetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-09-29 10:29:09Michael.Feltsetmessages: + msg277697
2016-09-26 12:53:31christian.heimessetnosy: + christian.heimes
messages: + msg277416
2016-09-26 12:11:21christian.heimessetstage: commit review
versions: + Python 3.7
2016-09-26 12:09:47python-devsetnosy: + python-dev
messages: + msg277414
2016-09-26 12:03:10Michael.Feltcreate